/*
 * ir.h
 *
 * $Id$
*/

#ifndef __LED_IR_H_
#define __LED_IR_H_


#include <Arduino.h>

#include <IRSend.h>
#include <IRRecv.h>


#define IRTX_PIN_A		4
#define IRTX_PIN_K		2

#define IRRX_PIN		15


void ir_tx_start();
void ir_tx_stop();
uint8_t ir_tx_is_busy();
uint8_t ir_tx_is_active();

void ir_rx_start();

void ir_tx_test();
uint8_t ir_rx_test();


#endif // __LED_IR_H
